|  | Home · All Classes · Modules

# QWebHistoryItem Class Reference
[QtWebKit module]

The QWebHistoryItem class represents one item in the history of a QWebPage More...

### Methods

- __init__ (self, QWebHistoryItem other)
- QIcon icon (self)
- QDateTime lastVisited (self)
- QUrl originalUrl (self)
- QString title (self)
- QUrl url (self)

## Detailed Description

The QWebHistoryItem class represents one item in the history of a QWebPage

Each QWebHistoryItem instance represents an entry in the history stack of a Web page, containing information about the page, its location, and when it was last visited.

The following table shows the properties of the page held by the history item, and the functions used to access them.

Function | Description
--- | ---
title() | The page title.
url() | The location of the page.
originalUrl() | The URL used to access the page.
lastVisited() | The date and time of the user's last visit to the page.
icon() | The icon associated with the page that was provided by the server.

Note: QWebHistoryItem objects are value based and explicitly shared.

See also QWebHistory, QWebPage.history(), and QWebHistoryInterface.

## Method Documentation

### QWebHistoryItem.__init__ (self, QWebHistoryItem other)

Constructs a history item from other.

### QIcon QWebHistoryItem.icon (self)

Returns the icon associated with the history item.

See also title(), url(), and lastVisited().

### QDateTime QWebHistoryItem.lastVisited (self)

Returns the date and time that the page associated with the item was last visited.

See also title(), icon(), and url().

### QUrl QWebHistoryItem.originalUrl (self)

Returns the original URL associated with the history item.

See also url().

### QString QWebHistoryItem.title (self)

Returns the title of the page associated with the history item.

See also icon(), url(), and lastVisited().

### QUrl QWebHistoryItem.url (self)

Returns the URL associated with the history item.

See also originalUrl(), title(), and lastVisited().